AttributeList (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.text.html.parser, class: AttributeList
Keywords: javax.swing.text.html.parser.AttributeList class

# Class AttributeList

java.lang.Object
javax.swing.text.html.parser.AttributeList

All Implemented Interfaces:
  `Serializable, DTDConstants`

public final class AttributeList extends Object implements DTDConstants, Serializable
This class defines the attributes of an SGML element as described in a DTD using the ATTLIST construct. An AttributeList can be obtained from the Element class using the getAttributes() method.

It is actually an element in a linked list. Use the getNext() method repeatedly to enumerate all the attributes of an element.

See Also:
  - `Element`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `modifier`
  The attribute modifier
  `String`
  `name`
  The attribute name
  `AttributeList`
  `next`
  The next attribute in the list
  `int`
  `type`
  The attribute type
  `String`
  `value`
  The default attribute value
  `Vector<?>`
  `values`
  The possible attribute values

  ### Fields declared in interface DTDConstants

  `ANY, CDATA, CONREF, CURRENT, DEFAULT, EMPTY, ENDTAG, ENTITIES, ENTITY, FIXED, GENERAL, ID, IDREF, IDREFS, IMPLIED, MD, MODEL, MS, NAME, NAMES, NMTOKEN, NMTOKENS, NOTATION, NUMBER, NUMBERS, NUTOKEN, NUTOKENS, PARAMETER, PI, PUBLIC, RCDATA, REQUIRED, SDATA, STARTTAG, SYSTEM`
  Modifier and Type
  Field
  Description
  `static final int`
  `ANY`
  The DTD constant corresponds to ANY
  `static final int`
  `CDATA`
  The DTD constant corresponds to CDATA
  `static final int`
  `CONREF`
  The DTD constant corresponds to CONREF
  `static final int`
  `CURRENT`
  The DTD constant corresponds to CURRENT
  `static final int`
  `DEFAULT`
  The DTD constant corresponds to DEFAULT
  `static final int`
  `EMPTY`
  The DTD constant corresponds to EMPTY
  `static final int`
  `ENDTAG`
  The DTD constant corresponds to ENDTAG
  `static final int`
  `ENTITIES`
  The DTD constant corresponds to ENTITIES
  `static final int`
  `ENTITY`
  The DTD constant corresponds to ENTITY
  `static final int`
  `FIXED`
  The DTD constant corresponds to FIXED
  `static final int`
  `GENERAL`
  The DTD constant corresponds to GENERAL
  `static final int`
  `ID`
  The DTD constant corresponds to ID
  `static final int`
  `IDREF`
  The DTD constant corresponds to IDREF
  `static final int`
  `IDREFS`
  The DTD constant corresponds to IDREFS
  `static final int`
  `IMPLIED`
  The DTD constant corresponds to IMPLIED
  `static final int`
  `MD`
  The DTD constant corresponds to MD
  `static final int`
  `MODEL`
  The DTD constant corresponds to MODEL
  `static final int`
  `MS`
  The DTD constant corresponds to MS
  `static final int`
  `NAME`
  The DTD constant corresponds to NAME
  `static final int`
  `NAMES`
  The DTD constant corresponds to NAMES
  `static final int`
  `NMTOKEN`
  The DTD constant corresponds to NMTOKEN
  `static final int`
  `NMTOKENS`
  The DTD constant corresponds to NMTOKENS
  `static final int`
  `NOTATION`
  The DTD constant corresponds to NOTATION
  `static final int`
  `NUMBER`
  The DTD constant corresponds to NUMBER
  `static final int`
  `NUMBERS`
  The DTD constant corresponds to NUMBERS
  `static final int`
  `NUTOKEN`
  The DTD constant corresponds to NUTOKEN
  `static final int`
  `NUTOKENS`
  The DTD constant corresponds to NUTOKENS
  `static final int`
  `PARAMETER`
  The DTD constant corresponds to PARAMETER
  `static final int`
  `PI`
  The DTD constant corresponds to PI
  `static final int`
  `PUBLIC`
  The DTD constant corresponds to PUBLIC
  `static final int`
  `RCDATA`
  The DTD constant corresponds to RCDATA
  `static final int`
  `REQUIRED`
  The DTD constant corresponds to REQUIRED
  `static final int`
  `SDATA`
  The DTD constant corresponds to SDATA
  `static final int`
  `STARTTAG`
  The DTD constant corresponds to STARTTAG
  `static final int`
  `SYSTEM`
  The DTD constant corresponds to SYSTEM

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttributeList(String name)`
  Create an attribute list element.
  `AttributeList(String name, int type, int modifier, String value, Vector<?> values, AttributeList next)`
  Create an attribute list element.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getModifier()`
  Returns the attribute modifier.
  `String`
  `getName()`
  Returns the attribute name.
  `AttributeList`
  `getNext()`
  Returns the next attribute in the list.
  `int`
  `getType()`
  Returns the attribute type.
  `String`
  `getValue()`
  Returns default attribute value.
  `Enumeration<?>`
  `getValues()`
  Returns possible attribute values.
  `static int`
  `name2type(String nm)`
  Converts an attribute name to the type
  `String`
  `toString()`
  Returns a string representation of the object.
  `static String`
  `type2name(int tp)`
  Converts a type to the attribute name

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### name

    public String name
    The attribute name

  - ### type

    public int type
    The attribute type

  - ### values

    public Vector<?> values
    The possible attribute values

  - ### modifier

    public int modifier
    The attribute modifier

  - ### value

    public String value
    The default attribute value

  - ### next

    public AttributeList next
    The next attribute in the list

- ## Constructor Details

  - ### AttributeList

    public AttributeList(String name)
    Create an attribute list element.
    Parameters:
      `name` - the attribute name

  - ### AttributeList

    public AttributeList(String name, int type, int modifier, String value, Vector<?> values, AttributeList next)
    Create an attribute list element.
    Parameters:
      `name` - the attribute name
      `type` - the attribute type
      `modifier` - the attribute modifier
      `value` - the default attribute value
      `values` - the possible attribute values
      `next` - the next attribute in the list

- ## Method Details

  - ### getName

    public String getName()
    Returns the attribute name.
    Returns:
      the attribute name

  - ### getType

    public int getType()
    Returns the attribute type.
    Returns:
      the attribute type
    See Also:
      - `DTDConstants`

  - ### getModifier

    public int getModifier()
    Returns the attribute modifier.
    Returns:
      the attribute modifier
    See Also:
      - `DTDConstants`

  - ### getValues

    public Enumeration<?> getValues()
    Returns possible attribute values.
    Returns:
      possible attribute values

  - ### getValue

    public String getValue()
    Returns default attribute value.
    Returns:
      default attribute value

  - ### getNext

    public AttributeList getNext()
    Returns the next attribute in the list.
    Returns:
      the next attribute in the list

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. Satisfying this method's contract implies a non-`null` result must be returned.
    Overrides:
      `toString` in class `Object`
    Returns:
      string representation

  - ### name2type

    public static int name2type(String nm)
    Converts an attribute name to the type
    Parameters:
      `nm` - an attribute name
    Returns:
      the type

  - ### type2name

    public static String type2name(int tp)
    Converts a type to the attribute name
    Parameters:
      `tp` - a type
    Returns:
      the attribute name